import { DatabaseClient } from '../common/database';
import { OutboxOrInbox } from '../common/listener-config';
import { TransactionalLogger } from '../common/logger';
import { StoredTransactionalMessage } from '../message/transactional-message';
import { FullPollingListenerSettings } from './config';
/**
 * Gets the next inbox messages from the database and sets the locked_until
 * @param maxMessages The maximum number of messages to fetch.
 * @param client The database client to use for the query.
 * @param settings The settings object for the inbox table and function name.
 * @param logger The logger to use for logging.
 * @param outboxOrInbox The outbox or inbox name
 * @returns A promise that resolves to the query result object.
 */
export declare const getNextMessagesBatch: (maxMessages: number, client: DatabaseClient, settings: FullPollingListenerSettings, logger: TransactionalLogger, outboxOrInbox: OutboxOrInbox) => Promise<StoredTransactionalMessage[]>;
//# sourceMappingURL=next-messages.d.ts.map