"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createReplicationMutexConcurrencyController = void 0;
const async_mutex_1 = require("async-mutex");
/**
 * Uses a single mutex to execute a single message at a time in the WAL sort order
 * @returns The controller to acquire and release the mutex
 */
const createReplicationMutexConcurrencyController = () => {
    const m = new async_mutex_1.Mutex();
    return {
        acquire: () => m.acquire(),
        cancel: () => m.cancel(),
    };
};
exports.createReplicationMutexConcurrencyController = createReplicationMutexConcurrencyController;
//# sourceMappingURL=create-mutex-concurrency-controller.js.map